Subject: Re: [PATCH 3/4] powerpc: Use common 52xx of_platform probe code for EFIKA

From: Sylvain Munaut <[email-masked]>
Date: Tue, 09 Jan 2007 23:02:24 +0100

About the serial patch :

> I didn't put this one in for 2.6.20, because it doesn't solve any
> actual problem, and Ben H tells me it might trigger a bug in the
> generic irq code.

The bug it triggered has been fixed eons ago (like last December 22),
in a impressive one-liner patch that has 5 Signed-off/Acked-by ;) ...

But that code is rarely executed as it would imply the PSC can be
unloaded ... (impossible when used as console). So later merge
is OK.

Paul Mackerras wrote:
> Sylvain Munaut writes:
>
>   
>> Now that the device tree has the good properties, we can
>> remove all the efika_init code by a single call to common code.
>>     
>
> Ummm, but the device tree doesn't have good properties, does it,
> without your patch that adds a whole pile of device tree fixups?
> I'm reluctant to put that in for 2.6.20 because it's moderately large,
> has at least the potential to upset other platforms, and what it fixes
> isn't a regression from 2.6.19, and we're already past -rc4.
>   
Ok, let's just delay everything to the next merge window. Anyway most
the drivers won't get merged until then.

I'll redo a nice patchset with all I got when it opens (or if you open a
for-2.6.21 branch ;).

    Sylvain